args_info Struct Reference

## Data Fields

char ** | arg_names
| Filenames from command line. More...
unsigned int | arg_count
| Number of filenames from command line. More...
char * | files_name
FILE * | files_file
char | files_delim
| Delimiter for filenames read from files_file. More...

## Field Documentation

## arg_names

char** args_info::arg_names

Filenames from command line.

## arg_count

unsigned int args_info::arg_count

Number of filenames from command line.

## files_name

char* args_info::files_name

Name of the file from which to read filenames. This is NULL if –files or –files0 was not used.

## files_file

FILE* args_info::files_file

File opened for reading from which filenames are read. This is non-NULL only if files_name is non-NULL.

## files_delim

char args_info::files_delim

Delimiter for filenames read from files_file.

The documentation for this struct was generated from the following file:

- xz/args.h